(* (c) by Richard Lang
   defines equation and univariate-equation
   created by: rlang 
         date: 02.09
   changed by: rlang
   last change by: rlang
             date: 02.11.29
*)

(* use"knowledge/Equation.ML";
   use"Equation.ML";
   *)

theory' := overwritel (!theory', [("Equation.thy",Equation.thy)]);

store_pbt
 (prep_pbt Equation.thy
 (["equation"],
  [("#Given" ,["equality e_","solveFor v_"]),
   ("#Where" ,["matches (?a = ?b) e_"]),
   ("#Find"  ,["solutions v_i_"])
  ],
  append_rls "equation_prls" e_rls 
	     [Calc ("Tools.matches",eval_matches "")],None,[]));
store_pbt
 (prep_pbt Equation.thy
 (["univariate","equation"],
  [("#Given" ,["equality e_","solveFor v_"]),
   ("#Where" ,["matches (?a = ?b) e_"]),
   ("#Find"  ,["solutions v_i_"])
  ],
  append_rls "univariate_equation_prls" e_rls 
	     [Calc ("Tools.matches",eval_matches "")],None,[]));

